Modify

Opened 10 years ago

Closed 10 years ago

#4392 closed defect (fixed)

exception in version history dialog on re-downloading a changed element

Reported by: adjuva@… Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: version history dialog for elements r-2010-01-blocker Cc:

Description

What steps will reproduce the problem?

  1. Start JOSM
  2. Download a small area.
  3. Change one way is the area with version 1.
  4. Show the way in the version history dialog. There will be two versions
    • 'Version 1, 06.01.10 12:34 (von xyz)'
    • '*Version 2 im Editor'
  5. Upload the changed way.
  6. Delete the layer with the area and the changed way. The JOSM starting message will be shown.
  7. Download an other small area with the same way you have changed before.
  8. Select the way.
  9. Open the version history dialog. There will be two version
    • 'Version 1, 06.01.10 12:34 (von xyz)'
    • '*Version 2 im Editor'
  10. Click on the '*Version 2 im Editor' and the exception is thrown.

When i restart JOSM and redo the steps 7 to 10 all is fine.

What is the expected result?

The version history dialog should show the versions:

  • 'Version 1, 06.01.10 12:34 (von xyz)'
  • 'Version 2, 17.01.10 17:32 (von adjuva)'

What happens instead?

The latest version of the way is shown as a current editing in JOSM an not as a version from the OSM database.

My suggestion:

There exists a data object with edited versions of elements, that is not updated when a new version of an element is downloaded or that is not cleared, when the layer with the edited version of the element is deleted.

Please provide any additional information below. Attach a screenshot if
possible.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-01-17 02:32:18
Last Changed Author: jttt
Revision: 2867
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-01-16 19:51:23 +0100 (Sat, 16 Jan 2010)
Last Changed Rev: 2867

Memory Usage: 47 MB / 158 MB (14 MB allocated, but free)
Java version: 1.6.0_11

Dataset consistency test:
No problems found


Plugins: openstreetbugs,wmsplugin,remotecontrol,validator,multipoly,measurement
Plugin openstreetbugs Version: 19463
Plugin wmsplugin Version: 19507
Plugin remotecontrol Version: 19471
Plugin validator Version: 19485
Plugin measurement Version: 19450
Plugin multipoly Version: 19456

java.lang.IllegalArgumentException: Aktuelle Version 2 nicht in der Versionsgeschichte vorhanden!
	at org.openstreetmap.josm.gui.history.HistoryBrowserModel.setCurrentPointInTime(HistoryBrowserModel.java:309)
	at org.openstreetmap.josm.gui.history.HistoryBrowserModel$VersionTableModel.setCurrentPointInTime(HistoryBrowserModel.java:420)
	at org.openstreetmap.josm.gui.his

Attachments (0)

Change History (3)

comment:1 Changed 10 years ago by adjuva@…

Summary: exception in version history dialog when on downloading a changed elementexception in version history dialog on re-downloading a changed element

Summay corrected.

comment:2 Changed 10 years ago by Gubaer

Keywords: r-2010-01-blocker added

comment:3 Changed 10 years ago by Gubaer

Resolution: fixed
Status: newclosed

(In [2961]) fixed #4392: exception in version history dialog on re-downloading a changed element

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.